<html>
<head>
<title>OgrePageManager.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_f1fa7196649e3987904dbdb4948bc856.html">Components</a>      </li>
      <li class="navelem"><a class="el" href="dir_b4dabe1aeee1fabc669d37783945a897.html">Paging</a>      </li>
      <li class="navelem"><a class="el" href="dir_c90181f353a19ac84e93eaccff6d8392.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgrePageManager.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgrePageManager_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">(Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 
<a name="l00029"></a>00029 <span class="preprocessor">#ifndef __Ogre_PageManager_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span><span class="preprocessor">#define __Ogre_PageManager_H__</span>
<a name="l00031"></a>00031 <span class="preprocessor"></span>
<a name="l00032"></a>00032 <span class="preprocessor">#include &quot;<a class="code" href="OgrePagingPrerequisites_8h.html">OgrePagingPrerequisites.h</a>&quot;</span>
<a name="l00033"></a>00033 <span class="preprocessor">#include &quot;<a class="code" href="OgreString_8h.html">OgreString.h</a>&quot;</span>
<a name="l00034"></a>00034 <span class="preprocessor">#include &quot;<a class="code" href="OgreResourceGroupManager_8h.html">OgreResourceGroupManager.h</a>&quot;</span>
<a name="l00035"></a>00035 <span class="preprocessor">#include &quot;<a class="code" href="OgreCommon_8h.html">OgreCommon.h</a>&quot;</span>
<a name="l00036"></a>00036 <span class="preprocessor">#include &quot;<a class="code" href="OgreCamera_8h.html">OgreCamera.h</a>&quot;</span>
<a name="l00037"></a>00037 <span class="preprocessor">#include &quot;<a class="code" href="OgreFrameListener_8h.html">OgreFrameListener.h</a>&quot;</span>
<a name="l00038"></a>00038 
<a name="l00039"></a>00039 <span class="keyword">namespace </span>Ogre
<a name="l00040"></a>00040 {
<a name="l00049"></a>00049     <span class="keyword">class </span>PagedWorldSection;
<a name="l00050"></a>00050     <span class="keyword">class </span>PagedWorldSectionFactory;
<a name="l00051"></a>00051 
<a name="l00052"></a>00052 
<a name="l00058"></a><a class="code" href="classOgre_1_1PageProvider.html">00058</a>     <span class="keyword">class </span><a class="code" href="classOgre_1_1PageProvider.html" title="Abstract class that can be implemented by the user application to provide a way to retrieve or genera...">PageProvider</a>
<a name="l00059"></a>00059     {
<a name="l00060"></a>00060     <span class="keyword">public</span>:
<a name="l00061"></a><a class="code" href="classOgre_1_1PageProvider.html#ab796c764ed717dc1f5f4f70b9fd7f3f2">00061</a>         <a class="code" href="classOgre_1_1PageProvider.html#ab796c764ed717dc1f5f4f70b9fd7f3f2">PageProvider</a>() {}
<a name="l00062"></a><a class="code" href="classOgre_1_1PageProvider.html#ab0f1061b31c84bb8b730ac848a8241e7">00062</a>         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1PageProvider.html#ab0f1061b31c84bb8b730ac848a8241e7">~PageProvider</a>() {}
<a name="l00063"></a>00063 
<a name="l00070"></a><a class="code" href="classOgre_1_1PageProvider.html#a673e0105f4c2a4cb4f4a1631ebfe48c8">00070</a>         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1PageProvider.html#a673e0105f4c2a4cb4f4a1631ebfe48c8" title="Give a provider the opportunity to prepare page content procedurally.">prepareProceduralPage</a>(<a class="code" href="classOgre_1_1Page.html" title="Page class.">Page</a>* page, <a class="code" href="classOgre_1_1PagedWorldSection.html" title="Represents a section of the PagedWorld which uses a given PageStrategy, and which is made up of a gen...">PagedWorldSection</a>* section) { <span class="keywordflow">return</span> <span class="keyword">false</span>; }
<a name="l00077"></a><a class="code" href="classOgre_1_1PageProvider.html#a21e0f99d400fea63fb6dd4024c873834">00077</a>         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1PageProvider.html#a21e0f99d400fea63fb6dd4024c873834" title="Give a provider the opportunity to load page content procedurally.">loadProceduralPage</a>(<a class="code" href="classOgre_1_1Page.html" title="Page class.">Page</a>* page, <a class="code" href="classOgre_1_1PagedWorldSection.html" title="Represents a section of the PagedWorld which uses a given PageStrategy, and which is made up of a gen...">PagedWorldSection</a>* section) { <span class="keywordflow">return</span> <span class="keyword">false</span>; }
<a name="l00085"></a><a class="code" href="classOgre_1_1PageProvider.html#ae164fead87b9512b924b2ad3e20dba97">00085</a>         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1PageProvider.html#ae164fead87b9512b924b2ad3e20dba97" title="Give a provider the opportunity to unload page content procedurally.">unloadProceduralPage</a>(<a class="code" href="classOgre_1_1Page.html" title="Page class.">Page</a>* page, <a class="code" href="classOgre_1_1PagedWorldSection.html" title="Represents a section of the PagedWorld which uses a given PageStrategy, and which is made up of a gen...">PagedWorldSection</a>* section) { <span class="keywordflow">return</span> <span class="keyword">false</span>; }
<a name="l00093"></a><a class="code" href="classOgre_1_1PageProvider.html#a66ee65df7701f813b055ed09aeaa7949">00093</a>         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1PageProvider.html#a66ee65df7701f813b055ed09aeaa7949" title="Give a provider the opportunity to unprepare page content procedurally.">unprepareProceduralPage</a>(<a class="code" href="classOgre_1_1Page.html" title="Page class.">Page</a>* page, <a class="code" href="classOgre_1_1PagedWorldSection.html" title="Represents a section of the PagedWorld which uses a given PageStrategy, and which is made up of a gen...">PagedWorldSection</a>* section) { <span class="keywordflow">return</span> <span class="keyword">false</span>; }
<a name="l00094"></a>00094 
<a name="l00100"></a><a class="code" href="classOgre_1_1PageProvider.html#aa542da6a61f2bacf9a2c7c128eb91c76">00100</a>         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1StreamSerialiser.html" title="Utility class providing helper methods for reading / writing structured data held in a DataStream...">StreamSerialiser</a>* <a class="code" href="classOgre_1_1PageProvider.html#aa542da6a61f2bacf9a2c7c128eb91c76" title="Get a serialiser set up to read PagedWorld data for the given world filename.">readWorldStream</a>(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; filename) { <span class="keywordflow">return</span> 0; }
<a name="l00106"></a><a class="code" href="classOgre_1_1PageProvider.html#a44eb5f25c6d9875c1a7f4745a8c9f7c3">00106</a>         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1StreamSerialiser.html" title="Utility class providing helper methods for reading / writing structured data held in a DataStream...">StreamSerialiser</a>* <a class="code" href="classOgre_1_1PageProvider.html#a44eb5f25c6d9875c1a7f4745a8c9f7c3" title="Get a serialiser set up to write PagedWorld data for the given world filename.">writeWorldStream</a>(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; filename) { <span class="keywordflow">return</span> 0; }
<a name="l00115"></a><a class="code" href="classOgre_1_1PageProvider.html#acc765352fa835ea260b9ce989d872b9e">00115</a>         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1StreamSerialiser.html" title="Utility class providing helper methods for reading / writing structured data held in a DataStream...">StreamSerialiser</a>* <a class="code" href="classOgre_1_1PageProvider.html#acc765352fa835ea260b9ce989d872b9e" title="Get a serialiser set up to read Page data for the given PageID, or null if this provider cannot suppl...">readPageStream</a>(<a class="code" href="namespaceOgre.html#a5126a9c9fbccbfe4c78070263098acb2" title="Identifier for a page.">PageID</a> pageID, <a class="code" href="classOgre_1_1PagedWorldSection.html" title="Represents a section of the PagedWorld which uses a given PageStrategy, and which is made up of a gen...">PagedWorldSection</a>* section) { <span class="keywordflow">return</span> 0; }
<a name="l00116"></a>00116 
<a name="l00125"></a><a class="code" href="classOgre_1_1PageProvider.html#aa32a942e1b415cae94b984924266f9de">00125</a>         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1StreamSerialiser.html" title="Utility class providing helper methods for reading / writing structured data held in a DataStream...">StreamSerialiser</a>* <a class="code" href="classOgre_1_1PageProvider.html#aa32a942e1b415cae94b984924266f9de" title="Get a serialiser set up to write Page data for the given PageID, or null if this provider cannot supp...">writePageStream</a>(<a class="code" href="namespaceOgre.html#a5126a9c9fbccbfe4c78070263098acb2" title="Identifier for a page.">PageID</a> pageID, <a class="code" href="classOgre_1_1PagedWorldSection.html" title="Represents a section of the PagedWorld which uses a given PageStrategy, and which is made up of a gen...">PagedWorldSection</a>* section) { <span class="keywordflow">return</span> 0; }
<a name="l00126"></a>00126     };
<a name="l00127"></a>00127     
<a name="l00135"></a><a class="code" href="classOgre_1_1PageManager.html">00135</a>     <span class="keyword">class </span><a class="code" href="OgrePagingPrerequisites_8h.html#a12507ffbcb05d7b7af41403ff7db8a5c">_OgrePagingExport</a> <a class="code" href="classOgre_1_1PageManager.html" title="The PageManager is the entry point through which you load all PagedWorld instances, and the place where PageStrategy instances and factory classes are registered to customise the paging behaviour.">PageManager</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator...">PageAlloc</a>
<a name="l00136"></a>00136     {
<a name="l00137"></a>00137     <span class="keyword">public</span>:
<a name="l00138"></a>00138         <a class="code" href="classOgre_1_1PageManager.html" title="The PageManager is the entry point through which you load all PagedWorld instances, and the place where PageStrategy instances and factory classes are registered to customise the paging behaviour.">PageManager</a>();
<a name="l00139"></a>00139         <span class="keyword">virtual</span> ~<a class="code" href="classOgre_1_1PageManager.html" title="The PageManager is the entry point through which you load all PagedWorld instances, and the place where PageStrategy instances and factory classes are registered to customise the paging behaviour.">PageManager</a>();
<a name="l00140"></a>00140 
<a name="l00145"></a>00145         <a class="code" href="classOgre_1_1PagedWorld.html" title="This class represents a collection of pages which make up a world.">PagedWorld</a>* createWorld(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name = <a class="code" href="classOgre_1_1StringUtil.html#ad2ead745c8c6f4f7056270e22f29e4da" title="Constant blank string, useful for returning by ref where local does not exist.">StringUtil::BLANK</a>);
<a name="l00146"></a>00146 
<a name="l00148"></a>00148         <span class="keywordtype">void</span> destroyWorld(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name);
<a name="l00149"></a>00149 
<a name="l00151"></a>00151         <span class="keywordtype">void</span> destroyWorld(<a class="code" href="classOgre_1_1PagedWorld.html" title="This class represents a collection of pages which make up a world.">PagedWorld</a>* world);
<a name="l00152"></a>00152 
<a name="l00158"></a>00158         <a class="code" href="classOgre_1_1PagedWorld.html" title="This class represents a collection of pages which make up a world.">PagedWorld</a>* loadWorld(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; filename, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name = <a class="code" href="classOgre_1_1StringUtil.html#ad2ead745c8c6f4f7056270e22f29e4da" title="Constant blank string, useful for returning by ref where local does not exist.">StringUtil::BLANK</a>);
<a name="l00164"></a>00164         <a class="code" href="classOgre_1_1PagedWorld.html" title="This class represents a collection of pages which make up a world.">PagedWorld</a>* loadWorld(<span class="keyword">const</span> <a class="code" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a>&amp; stream, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name = <a class="code" href="classOgre_1_1StringUtil.html#ad2ead745c8c6f4f7056270e22f29e4da" title="Constant blank string, useful for returning by ref where local does not exist.">StringUtil::BLANK</a>);
<a name="l00170"></a>00170         <span class="keywordtype">void</span> saveWorld(<a class="code" href="classOgre_1_1PagedWorld.html" title="This class represents a collection of pages which make up a world.">PagedWorld</a>* world, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; filename);
<a name="l00175"></a>00175         <span class="keywordtype">void</span> saveWorld(<a class="code" href="classOgre_1_1PagedWorld.html" title="This class represents a collection of pages which make up a world.">PagedWorld</a>* world, <span class="keyword">const</span> <a class="code" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a>&amp; stream);
<a name="l00180"></a>00180         <a class="code" href="classOgre_1_1PagedWorld.html" title="This class represents a collection of pages which make up a world.">PagedWorld</a>* getWorld(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name);
<a name="l00181"></a><a class="code" href="classOgre_1_1PageManager.html#a0efade4e6f7cee4cd83eee27e072a972">00181</a>         <span class="keyword">typedef</span> <a class="code" href="structOgre_1_1map.html">map&lt;String, PagedWorld*&gt;::type</a> <a class="code" href="classOgre_1_1PageManager.html#a0efade4e6f7cee4cd83eee27e072a972">WorldMap</a>;
<a name="l00183"></a><a class="code" href="classOgre_1_1PageManager.html#a782fc69de8277d505f7d858f035b0dd6">00183</a>         <span class="keyword">const</span> <a class="code" href="classOgre_1_1PageManager.html#a0efade4e6f7cee4cd83eee27e072a972">WorldMap</a>&amp; <a class="code" href="classOgre_1_1PageManager.html#a782fc69de8277d505f7d858f035b0dd6" title="Get a reference to the worlds that are currently loaded.">getWorlds</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mWorlds; }
<a name="l00184"></a>00184 
<a name="l00185"></a>00185 
<a name="l00186"></a><a class="code" href="classOgre_1_1PageManager.html#a23c44fcc763b8d952bd6e93ce92de75b">00186</a>         <span class="keyword">typedef</span> <a class="code" href="structOgre_1_1map.html">map&lt;String, PageStrategy*&gt;::type</a> <a class="code" href="classOgre_1_1PageManager.html#a23c44fcc763b8d952bd6e93ce92de75b">StrategyMap</a>;
<a name="l00191"></a>00191         <span class="keywordtype">void</span> addStrategy(<a class="code" href="classOgre_1_1PageStrategy.html" title="Defines the interface to a strategy class which is responsible for deciding when Page instances are r...">PageStrategy</a>* strategy);
<a name="l00192"></a>00192 
<a name="l00195"></a>00195         <span class="keywordtype">void</span> removeStrategy(<a class="code" href="classOgre_1_1PageStrategy.html" title="Defines the interface to a strategy class which is responsible for deciding when Page instances are r...">PageStrategy</a>* strategy);
<a name="l00196"></a>00196 
<a name="l00201"></a>00201         <a class="code" href="classOgre_1_1PageStrategy.html" title="Defines the interface to a strategy class which is responsible for deciding when Page instances are r...">PageStrategy</a>* getStrategy(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name);
<a name="l00202"></a>00202 
<a name="l00205"></a>00205         <span class="keyword">const</span> <a class="code" href="classOgre_1_1PageManager.html#a23c44fcc763b8d952bd6e93ce92de75b">StrategyMap</a>&amp; getStrategies() <span class="keyword">const</span>;
<a name="l00206"></a>00206 
<a name="l00207"></a>00207 
<a name="l00208"></a><a class="code" href="classOgre_1_1PageManager.html#ad08146012ffddf2c66675fa275d220f2">00208</a>         <span class="keyword">typedef</span> <a class="code" href="structOgre_1_1map.html">map&lt;String, PageContentCollectionFactory*&gt;::type</a> <a class="code" href="classOgre_1_1PageManager.html#ad08146012ffddf2c66675fa275d220f2">ContentCollectionFactoryMap</a>;
<a name="l00213"></a>00213         <span class="keywordtype">void</span> addContentCollectionFactory(<a class="code" href="classOgre_1_1PageContentCollectionFactory.html" title="Define the interface to a factory class that will create subclasses of PageContentCollection.">PageContentCollectionFactory</a>* f);
<a name="l00214"></a>00214 
<a name="l00217"></a>00217         <span class="keywordtype">void</span> removeContentCollectionFactory(<a class="code" href="classOgre_1_1PageContentCollectionFactory.html" title="Define the interface to a factory class that will create subclasses of PageContentCollection.">PageContentCollectionFactory</a>* f);
<a name="l00218"></a>00218 
<a name="l00223"></a>00223         <a class="code" href="classOgre_1_1PageContentCollectionFactory.html" title="Define the interface to a factory class that will create subclasses of PageContentCollection.">PageContentCollectionFactory</a>* getContentCollectionFactory(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name);
<a name="l00224"></a>00224 
<a name="l00229"></a>00229         <a class="code" href="classOgre_1_1PageContentCollection.html" title="Definition of the interface for a collection of PageContent instances.">PageContentCollection</a>* createContentCollection(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; typeName);
<a name="l00230"></a>00230 
<a name="l00232"></a>00232         <span class="keywordtype">void</span> destroyContentCollection(<a class="code" href="classOgre_1_1PageContentCollection.html" title="Definition of the interface for a collection of PageContent instances.">PageContentCollection</a>* coll);
<a name="l00233"></a>00233 
<a name="l00236"></a>00236         <span class="keyword">const</span> <a class="code" href="classOgre_1_1PageManager.html#ad08146012ffddf2c66675fa275d220f2">ContentCollectionFactoryMap</a>&amp; getContentCollectionFactories() <span class="keyword">const</span>;
<a name="l00237"></a>00237 
<a name="l00238"></a><a class="code" href="classOgre_1_1PageManager.html#a1d16a02e9278bb87d409ad734ba42a9e">00238</a>         <span class="keyword">typedef</span> <a class="code" href="structOgre_1_1map.html">map&lt;String, PageContentFactory*&gt;::type</a> <a class="code" href="classOgre_1_1PageManager.html#a1d16a02e9278bb87d409ad734ba42a9e">ContentFactoryMap</a>;
<a name="l00243"></a>00243         <span class="keywordtype">void</span> addContentFactory(<a class="code" href="classOgre_1_1PageContentFactory.html" title="Define the interface to a factory class that will create subclasses of PageContent.">PageContentFactory</a>* f);
<a name="l00244"></a>00244 
<a name="l00247"></a>00247         <span class="keywordtype">void</span> removeContentFactory(<a class="code" href="classOgre_1_1PageContentFactory.html" title="Define the interface to a factory class that will create subclasses of PageContent.">PageContentFactory</a>* f);
<a name="l00248"></a>00248 
<a name="l00253"></a>00253         <a class="code" href="classOgre_1_1PageContentFactory.html" title="Define the interface to a factory class that will create subclasses of PageContent.">PageContentFactory</a>* getContentFactory(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name);
<a name="l00254"></a>00254 
<a name="l00257"></a>00257         <span class="keyword">const</span> <a class="code" href="classOgre_1_1PageManager.html#a1d16a02e9278bb87d409ad734ba42a9e">ContentFactoryMap</a>&amp; getContentFactories() <span class="keyword">const</span>;
<a name="l00258"></a>00258 
<a name="l00263"></a>00263         <a class="code" href="classOgre_1_1PageContent.html" title="Interface definition for a unit of content within a page.">PageContent</a>* createContent(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; typeName);
<a name="l00264"></a>00264 
<a name="l00266"></a>00266         <span class="keywordtype">void</span> destroyContent(<a class="code" href="classOgre_1_1PageContent.html" title="Interface definition for a unit of content within a page.">PageContent</a>* c);
<a name="l00267"></a>00267 
<a name="l00268"></a>00268 
<a name="l00269"></a><a class="code" href="classOgre_1_1PageManager.html#a91d776f0b311c30408af108af5bf56b9">00269</a>         <span class="keyword">typedef</span> <a class="code" href="structOgre_1_1map.html">map&lt;String, PagedWorldSectionFactory*&gt;::type</a> <a class="code" href="classOgre_1_1PageManager.html#a91d776f0b311c30408af108af5bf56b9">WorldSectionFactoryMap</a>;
<a name="l00274"></a>00274         <span class="keywordtype">void</span> addWorldSectionFactory(<a class="code" href="classOgre_1_1PagedWorldSectionFactory.html" title="A factory class for creating types of world section.">PagedWorldSectionFactory</a>* f);
<a name="l00275"></a>00275 
<a name="l00278"></a>00278         <span class="keywordtype">void</span> removeWorldSectionFactory(<a class="code" href="classOgre_1_1PagedWorldSectionFactory.html" title="A factory class for creating types of world section.">PagedWorldSectionFactory</a>* f);
<a name="l00279"></a>00279 
<a name="l00284"></a>00284         <a class="code" href="classOgre_1_1PagedWorldSectionFactory.html" title="A factory class for creating types of world section.">PagedWorldSectionFactory</a>* getWorldSectionFactory(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name);
<a name="l00285"></a>00285 
<a name="l00293"></a>00293         <a class="code" href="classOgre_1_1PagedWorldSection.html" title="Represents a section of the PagedWorld which uses a given PageStrategy, and which is made up of a gen...">PagedWorldSection</a>* createWorldSection(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; typeName, 
<a name="l00294"></a>00294             <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name, <a class="code" href="classOgre_1_1PagedWorld.html" title="This class represents a collection of pages which make up a world.">PagedWorld</a>* parent, <a class="code" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a>* sm);
<a name="l00295"></a>00295 
<a name="l00297"></a>00297         <span class="keywordtype">void</span> destroyWorldSection(<a class="code" href="classOgre_1_1PagedWorldSection.html" title="Represents a section of the PagedWorld which uses a given PageStrategy, and which is made up of a gen...">PagedWorldSection</a>* s);
<a name="l00298"></a>00298 
<a name="l00301"></a>00301         <span class="keyword">const</span> <a class="code" href="classOgre_1_1PageManager.html#a91d776f0b311c30408af108af5bf56b9">WorldSectionFactoryMap</a>&amp; getWorldSectionFactories() <span class="keyword">const</span>;
<a name="l00302"></a>00302 
<a name="l00303"></a>00303 
<a name="l00315"></a><a class="code" href="classOgre_1_1PageManager.html#a4b1a8bfe1efc150859b62786f40354d7">00315</a>         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1PageManager.html#a4b1a8bfe1efc150859b62786f40354d7" title="Set the PageProvider which can provide streams for any Page.">setPageProvider</a>(<a class="code" href="classOgre_1_1PageProvider.html" title="Abstract class that can be implemented by the user application to provide a way to retrieve or genera...">PageProvider</a>* provider) { mPageProvider = provider; }
<a name="l00316"></a>00316         
<a name="l00318"></a><a class="code" href="classOgre_1_1PageManager.html#a09370c55e5252eae28e05bc07eb1ac6f">00318</a>         <a class="code" href="classOgre_1_1PageProvider.html" title="Abstract class that can be implemented by the user application to provide a way to retrieve or genera...">PageProvider</a>* <a class="code" href="classOgre_1_1PageManager.html#a09370c55e5252eae28e05bc07eb1ac6f" title="Get the PageProvider which can provide streams for any Page.">getPageProvider</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mPageProvider; }
<a name="l00319"></a>00319 
<a name="l00327"></a>00327         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> _prepareProceduralPage(<a class="code" href="classOgre_1_1Page.html" title="Page class.">Page</a>* page, <a class="code" href="classOgre_1_1PagedWorldSection.html" title="Represents a section of the PagedWorld which uses a given PageStrategy, and which is made up of a gen...">PagedWorldSection</a>* section);
<a name="l00335"></a>00335         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> _loadProceduralPage(<a class="code" href="classOgre_1_1Page.html" title="Page class.">Page</a>* page, <a class="code" href="classOgre_1_1PagedWorldSection.html" title="Represents a section of the PagedWorld which uses a given PageStrategy, and which is made up of a gen...">PagedWorldSection</a>* section);
<a name="l00343"></a>00343         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> _unloadProceduralPage(<a class="code" href="classOgre_1_1Page.html" title="Page class.">Page</a>* page, <a class="code" href="classOgre_1_1PagedWorldSection.html" title="Represents a section of the PagedWorld which uses a given PageStrategy, and which is made up of a gen...">PagedWorldSection</a>* section);
<a name="l00351"></a>00351         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> _unprepareProceduralPage(<a class="code" href="classOgre_1_1Page.html" title="Page class.">Page</a>* page, <a class="code" href="classOgre_1_1PagedWorldSection.html" title="Represents a section of the PagedWorld which uses a given PageStrategy, and which is made up of a gen...">PagedWorldSection</a>* section);
<a name="l00359"></a>00359         <a class="code" href="classOgre_1_1StreamSerialiser.html" title="Utility class providing helper methods for reading / writing structured data held in a DataStream...">StreamSerialiser</a>* _readPageStream(<a class="code" href="namespaceOgre.html#a5126a9c9fbccbfe4c78070263098acb2" title="Identifier for a page.">PageID</a> pageID, <a class="code" href="classOgre_1_1PagedWorldSection.html" title="Represents a section of the PagedWorld which uses a given PageStrategy, and which is made up of a gen...">PagedWorldSection</a>* section);
<a name="l00360"></a>00360 
<a name="l00368"></a>00368         <a class="code" href="classOgre_1_1StreamSerialiser.html" title="Utility class providing helper methods for reading / writing structured data held in a DataStream...">StreamSerialiser</a>* _writePageStream(<a class="code" href="namespaceOgre.html#a5126a9c9fbccbfe4c78070263098acb2" title="Identifier for a page.">PageID</a> pageID, <a class="code" href="classOgre_1_1PagedWorldSection.html" title="Represents a section of the PagedWorld which uses a given PageStrategy, and which is made up of a gen...">PagedWorldSection</a>* section);
<a name="l00374"></a>00374         <a class="code" href="classOgre_1_1StreamSerialiser.html" title="Utility class providing helper methods for reading / writing structured data held in a DataStream...">StreamSerialiser</a>* _readWorldStream(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; filename);
<a name="l00375"></a>00375 
<a name="l00381"></a>00381         <a class="code" href="classOgre_1_1StreamSerialiser.html" title="Utility class providing helper methods for reading / writing structured data held in a DataStream...">StreamSerialiser</a>* _writeWorldStream(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; filename);
<a name="l00382"></a>00382 
<a name="l00386"></a><a class="code" href="classOgre_1_1PageManager.html#aa8b8e3f095f25d41dabfbb9f4ea6c2b2">00386</a>         <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="code" href="classOgre_1_1PageManager.html#aa8b8e3f095f25d41dabfbb9f4ea6c2b2" title="Get the resource group that will be used to read/write files when the default load routines are used...">getPageResourceGroup</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mPageResourceGroup; }
<a name="l00390"></a><a class="code" href="classOgre_1_1PageManager.html#afa458ee993c36dab64b0a3f611f902d9">00390</a>         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1PageManager.html#afa458ee993c36dab64b0a3f611f902d9" title="Set the resource group that will be used to read/write files when the default load routines are used...">setPageResourceGroup</a>(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; g) { mPageResourceGroup = g; }
<a name="l00391"></a>00391 
<a name="l00399"></a>00399         <span class="keywordtype">void</span> addCamera(<a class="code" href="classOgre_1_1Camera.html" title="A viewpoint from which the scene will be rendered.">Camera</a>* c);
<a name="l00400"></a>00400 
<a name="l00403"></a>00403         <span class="keywordtype">void</span> removeCamera(<a class="code" href="classOgre_1_1Camera.html" title="A viewpoint from which the scene will be rendered.">Camera</a>* c);
<a name="l00404"></a>00404 
<a name="l00407"></a>00407         <span class="keywordtype">bool</span> hasCamera(<a class="code" href="classOgre_1_1Camera.html" title="A viewpoint from which the scene will be rendered.">Camera</a>* c) <span class="keyword">const</span>;
<a name="l00408"></a>00408 
<a name="l00409"></a><a class="code" href="classOgre_1_1PageManager.html#a64ddd908be3b3b1798835b23325a10cb">00409</a>         <span class="keyword">typedef</span> <a class="code" href="structOgre_1_1vector.html">vector&lt;Camera*&gt;::type</a> <a class="code" href="classOgre_1_1PageManager.html#a64ddd908be3b3b1798835b23325a10cb">CameraList</a>;
<a name="l00411"></a>00411         <span class="keyword">const</span> <a class="code" href="classOgre_1_1PageManager.html#a64ddd908be3b3b1798835b23325a10cb">CameraList</a>&amp; getCameraList() <span class="keyword">const</span>;
<a name="l00412"></a>00412 
<a name="l00422"></a><a class="code" href="classOgre_1_1PageManager.html#a74f2e0b17a68b17ee14960572f8d332c">00422</a>         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1PageManager.html#a74f2e0b17a68b17ee14960572f8d332c" title="Set the debug display level.">setDebugDisplayLevel</a>(<a class="code" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> lvl) { mDebugDisplayLvl = lvl; }
<a name="l00424"></a><a class="code" href="classOgre_1_1PageManager.html#a231d68e175e5e5d8c0baf7c89fff9b2c">00424</a>         <a class="code" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> <a class="code" href="classOgre_1_1PageManager.html#a231d68e175e5e5d8c0baf7c89fff9b2c" title="Get the debug display level.">getDebugDisplayLevel</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mDebugDisplayLvl; }
<a name="l00425"></a>00425 
<a name="l00432"></a><a class="code" href="classOgre_1_1PageManager.html#adfe74acf733778a04fa98a41e1712499">00432</a>         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1PageManager.html#adfe74acf733778a04fa98a41e1712499" title="Pause or unpause all paging operations.">setPagingOperationsEnabled</a>(<span class="keywordtype">bool</span> enabled) { mPagingEnabled = enabled; }
<a name="l00433"></a>00433 
<a name="l00435"></a><a class="code" href="classOgre_1_1PageManager.html#a30eddb8da6af12f675161f8473388c36">00435</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1PageManager.html#a30eddb8da6af12f675161f8473388c36" title="Get whether paging operations are currently allowed to happen.">getPagingOperationsEnabled</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mPagingEnabled; }
<a name="l00436"></a>00436 
<a name="l00437"></a>00437 
<a name="l00438"></a>00438     <span class="keyword">protected</span>:
<a name="l00439"></a>00439 
<a name="l00440"></a><a class="code" href="classOgre_1_1PageManager_1_1EventRouter.html">00440</a>         <span class="keyword">class </span><a class="code" href="classOgre_1_1PageManager_1_1EventRouter.html">EventRouter</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1Camera.html" title="A viewpoint from which the scene will be rendered.">Camera</a>::Listener, <span class="keyword">public</span> <a class="code" href="classOgre_1_1FrameListener.html" title="A interface class defining a listener which can be used to receive notifications of frame events...">FrameListener</a>
<a name="l00441"></a>00441         {
<a name="l00442"></a>00442         <span class="keyword">public</span>:
<a name="l00443"></a><a class="code" href="classOgre_1_1PageManager_1_1EventRouter.html#a2b4ffddff449189daef52fb4c1838f67">00443</a>             <a class="code" href="classOgre_1_1PageManager.html" title="The PageManager is the entry point through which you load all PagedWorld instances, and the place where PageStrategy instances and factory classes are registered to customise the paging behaviour.">PageManager</a>* <a class="code" href="classOgre_1_1PageManager_1_1EventRouter.html#a2b4ffddff449189daef52fb4c1838f67">pManager</a>;
<a name="l00444"></a><a class="code" href="classOgre_1_1PageManager_1_1EventRouter.html#a0932e09218ac4f4af94a19c89a3eeb85">00444</a>             <a class="code" href="classOgre_1_1PageManager.html#a0efade4e6f7cee4cd83eee27e072a972">WorldMap</a>* <a class="code" href="classOgre_1_1PageManager_1_1EventRouter.html#a0932e09218ac4f4af94a19c89a3eeb85">pWorldMap</a>;
<a name="l00445"></a><a class="code" href="classOgre_1_1PageManager_1_1EventRouter.html#a8b7284a3c24b60fc0631273f68051cff">00445</a>             <a class="code" href="classOgre_1_1PageManager.html#a64ddd908be3b3b1798835b23325a10cb">CameraList</a>* <a class="code" href="classOgre_1_1PageManager_1_1EventRouter.html#a8b7284a3c24b60fc0631273f68051cff">pCameraList</a>;
<a name="l00446"></a>00446 
<a name="l00447"></a><a class="code" href="classOgre_1_1PageManager_1_1EventRouter.html#a63608f4f61d458464e5752548c2b9be0">00447</a>             <a class="code" href="classOgre_1_1PageManager_1_1EventRouter.html#a63608f4f61d458464e5752548c2b9be0">EventRouter</a>() {}
<a name="l00448"></a><a class="code" href="classOgre_1_1PageManager_1_1EventRouter.html#a2b011465b3527e909ea2ceb5ef121df4">00448</a>             <a class="code" href="classOgre_1_1PageManager_1_1EventRouter.html#a2b011465b3527e909ea2ceb5ef121df4">~EventRouter</a>() {}
<a name="l00449"></a>00449 
<a name="l00450"></a>00450             <span class="keywordtype">void</span> cameraPreRenderScene(<a class="code" href="classOgre_1_1Camera.html" title="A viewpoint from which the scene will be rendered.">Camera</a>* cam);
<a name="l00451"></a>00451             <span class="keywordtype">void</span> cameraDestroyed(<a class="code" href="classOgre_1_1Camera.html" title="A viewpoint from which the scene will be rendered.">Camera</a>* cam);
<a name="l00452"></a>00452             <span class="keywordtype">bool</span> frameStarted(<span class="keyword">const</span> <a class="code" href="structOgre_1_1FrameEvent.html" title="Struct containing information about a frame event.">FrameEvent</a>&amp; evt);
<a name="l00453"></a>00453             <span class="keywordtype">bool</span> frameEnded(<span class="keyword">const</span> <a class="code" href="structOgre_1_1FrameEvent.html" title="Struct containing information about a frame event.">FrameEvent</a>&amp; evt);
<a name="l00454"></a>00454         };
<a name="l00455"></a>00455 
<a name="l00456"></a>00456         <span class="keywordtype">void</span> createStandardStrategies();
<a name="l00457"></a>00457         <span class="keywordtype">void</span> createStandardContentFactories();
<a name="l00458"></a>00458 
<a name="l00459"></a><a class="code" href="classOgre_1_1PageManager.html#ac5dc5451f3bd70552881204bdd4d2dce">00459</a>         <a class="code" href="classOgre_1_1PageManager.html#a0efade4e6f7cee4cd83eee27e072a972">WorldMap</a> <a class="code" href="classOgre_1_1PageManager.html#ac5dc5451f3bd70552881204bdd4d2dce">mWorlds</a>;
<a name="l00460"></a><a class="code" href="classOgre_1_1PageManager.html#a8aa3ad9a9dd354d3c12682e2b8865495">00460</a>         <a class="code" href="classOgre_1_1PageManager.html#a23c44fcc763b8d952bd6e93ce92de75b">StrategyMap</a> <a class="code" href="classOgre_1_1PageManager.html#a8aa3ad9a9dd354d3c12682e2b8865495">mStrategies</a>;
<a name="l00461"></a><a class="code" href="classOgre_1_1PageManager.html#a29122cf62e8982a1c4e2255864d7c019">00461</a>         <a class="code" href="classOgre_1_1PageManager.html#ad08146012ffddf2c66675fa275d220f2">ContentCollectionFactoryMap</a> <a class="code" href="classOgre_1_1PageManager.html#a29122cf62e8982a1c4e2255864d7c019">mContentCollectionFactories</a>;
<a name="l00462"></a><a class="code" href="classOgre_1_1PageManager.html#a08e878b07e40bad1be38a7a655ae5ac3">00462</a>         <a class="code" href="classOgre_1_1PageManager.html#a1d16a02e9278bb87d409ad734ba42a9e">ContentFactoryMap</a> <a class="code" href="classOgre_1_1PageManager.html#a08e878b07e40bad1be38a7a655ae5ac3">mContentFactories</a>;
<a name="l00463"></a><a class="code" href="classOgre_1_1PageManager.html#a5187e183b257ae1c70008eac4bdaeca5">00463</a>         <a class="code" href="classOgre_1_1PageManager.html#a91d776f0b311c30408af108af5bf56b9">WorldSectionFactoryMap</a> <a class="code" href="classOgre_1_1PageManager.html#a5187e183b257ae1c70008eac4bdaeca5">mWorldSectionFactories</a>;
<a name="l00464"></a><a class="code" href="classOgre_1_1PageManager.html#a9f7347931916f77dcff2d0e65f430a18">00464</a>         <a class="code" href="classOgre_1_1NameGenerator.html" title="Utility class to generate a sequentially numbered series of names.">NameGenerator</a> <a class="code" href="classOgre_1_1PageManager.html#a9f7347931916f77dcff2d0e65f430a18">mWorldNameGenerator</a>;
<a name="l00465"></a><a class="code" href="classOgre_1_1PageManager.html#a5167581b88565ef493161beaf7d90f7e">00465</a>         <a class="code" href="classOgre_1_1PageProvider.html" title="Abstract class that can be implemented by the user application to provide a way to retrieve or genera...">PageProvider</a>* <a class="code" href="classOgre_1_1PageManager.html#a5167581b88565ef493161beaf7d90f7e">mPageProvider</a>;
<a name="l00466"></a><a class="code" href="classOgre_1_1PageManager.html#aa45d75465b2b8f5e4155324e7ec30ab9">00466</a>         <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1PageManager.html#aa45d75465b2b8f5e4155324e7ec30ab9">mPageResourceGroup</a>;
<a name="l00467"></a><a class="code" href="classOgre_1_1PageManager.html#aa3c875c9c78a12b60c44fba419be8472">00467</a>         <a class="code" href="classOgre_1_1PageManager.html#a64ddd908be3b3b1798835b23325a10cb">CameraList</a> <a class="code" href="classOgre_1_1PageManager.html#aa3c875c9c78a12b60c44fba419be8472">mCameraList</a>;
<a name="l00468"></a><a class="code" href="classOgre_1_1PageManager.html#a8bf0c2d7ac0deb1dc71d7c39d8747e28">00468</a>         <a class="code" href="classOgre_1_1PageManager_1_1EventRouter.html">EventRouter</a> <a class="code" href="classOgre_1_1PageManager.html#a8bf0c2d7ac0deb1dc71d7c39d8747e28">mEventRouter</a>;
<a name="l00469"></a><a class="code" href="classOgre_1_1PageManager.html#a61f764d367f73009e453b7a9a65b7b34">00469</a>         <a class="code" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> <a class="code" href="classOgre_1_1PageManager.html#a61f764d367f73009e453b7a9a65b7b34">mDebugDisplayLvl</a>;
<a name="l00470"></a><a class="code" href="classOgre_1_1PageManager.html#a38f80f4142f07aed36166c577965439e">00470</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1PageManager.html#a38f80f4142f07aed36166c577965439e">mPagingEnabled</a>;
<a name="l00471"></a>00471 
<a name="l00472"></a><a class="code" href="classOgre_1_1PageManager.html#a2676fa07357841cfa05837eeb43d37a7">00472</a>         <a class="code" href="classOgre_1_1Grid2DPageStrategy.html" title="Page strategy which loads new pages based on a regular 2D grid.">Grid2DPageStrategy</a>* <a class="code" href="classOgre_1_1PageManager.html#a2676fa07357841cfa05837eeb43d37a7">mGrid2DPageStrategy</a>;
<a name="l00473"></a><a class="code" href="classOgre_1_1PageManager.html#a92d3c66565bbe019d51a93cf2c2e1279">00473</a>         <a class="code" href="classOgre_1_1Grid3DPageStrategy.html" title="Page strategy which loads new pages based on a regular 3D grid.">Grid3DPageStrategy</a>* <a class="code" href="classOgre_1_1PageManager.html#a92d3c66565bbe019d51a93cf2c2e1279">mGrid3DPageStrategy</a>;
<a name="l00474"></a><a class="code" href="classOgre_1_1PageManager.html#a15a570f6c8f79d19f436218c188c3b88">00474</a>         <a class="code" href="classOgre_1_1SimplePageContentCollectionFactory.html" title="Factory class for SimplePageContentCollection.">SimplePageContentCollectionFactory</a>* <a class="code" href="classOgre_1_1PageManager.html#a15a570f6c8f79d19f436218c188c3b88">mSimpleCollectionFactory</a>;
<a name="l00475"></a>00475     };
<a name="l00476"></a>00476 
<a name="l00479"></a>00479 }
<a name="l00480"></a>00480 
<a name="l00481"></a>00481 <span class="preprocessor">#endif</span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:51
</p>
</body>
</html>
